# docker-compose run app python manage.py compilemessages
+
cd /srv
find $(pwd) -type d -name 'locale' -print | while read f; do
cd "$(dirname "$0")"/../../
cat doc/src/overview.rst doc/src/architecture.rst doc/src/install.rst doc/src/development.rst doc/src/maintenance.rst doc/src/copyright.rst doc/src/license.rst > README.rst
+
echo "Build finished. The README.rst file is up to date."
+++ /dev/null
-#!/bin/bash
-
-cd "$(dirname "$0")"/../../
-
-# We need to chown folders as they are docker's volumes
-sudo chown -R $USER var/media
-sudo chown -R $USER var/backup
-
-# Update main project and submodules
-./bin/dev/update.sh
-
-# Restore database
-if [ "$1" = "--restore-db" ]; then
- docker-compose run db /srv/bin/dev/restore_db.sh
-fi
-
-# We need to chown folders as they are docker's volumes
-# (do not work on OSX, hence the test)
-if ! uname -a | grep Darwin > /dev/null; then
- sudo chown -R www-data var/media
- sudo chown -R root var/backup
-fi
--- /dev/null
+#!/bin/bash
+
+cd "$(dirname "$0")"/../../var
+
+# We need to chown folders as they are docker's volumes
+sudo chown -R $USER media
+sudo chown -R $USER backup
+
+git pull
+
+# Restore database
+if [ "$1" = "--restore-db" ]; then
+ docker-compose run db /srv/bin/dev/restore_db.sh
+fi
+
+# We need to chown folders as they are docker's volumes
+# (do not work on OSX, hence the test)
+if ! uname -a | grep Darwin > /dev/null; then
+ sudo chown -R www-data media
+ sudo chown -R root backup
+fi
#!/bin/sh
-docker-compose run db /srv/bin/db/restore.sh
+docker-compose run db /srv/bin/dev/local/restore_db.sh
#!/bin/sh
- docker-compose run db /srv/bin/prod/local/backup_db.sh
+docker-compose run db /srv/bin/prod/local/backup_db.sh
+++ /dev/null
-#!/bin/bash
-
-cd "$(dirname "$0")"/../../
-
-echo "----------------------------"
-echo `date +\%Y\%m\%d-\%H-\%M-\%S`
-
-docker-compose run db /srv/bin/prod/backup_db.sh
-
-cd var
-
-git add .
-git commit -a -m "update DB and media"
-git pull
-git push
--- /dev/null
+#!/bin/bash
+
+echo "----------------------------"
+echo `date +\%Y\%m\%d-\%H-\%M-\%S`
+
+./backup_db.sh
+
+cd "$(dirname "$0")"/../../var
+
+git add .
+git commit -a -m "update DB and media"
+git pull
+git push
+++ /dev/null
-echo "----------------------------"
-echo `date +\%Y\%m\%d-\%H-\%M-\%S`
-docker-compose run db /srv/bin/db/backup.sh
-git add var
-git commit -a -m "update DB and media"
-git pull
-git push
+++ /dev/null
-#!/bin/sh
-
-git submodule update --recursive --remote